> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/fr/developper/notions-de-base/guides-pratiques/comment-obtenir-les-metadonnees-dun-nft-specifique.md).

# Obtenir les métadonnées d'un NFT

## Qu'est-ce que les métadonnées d'un NFT ?

Les métadonnées d'un NFT sont l'ensemble des informations descriptives stockées hors chaîne qui détaillent les attributs, les propriétés et le contenu supplémentaire associés à un NFT. Ces détails peuvent inclure une URL d'image, son nom, sa description et les attributs liés à son unicité et à sa propriété.

## Comment le faire avec Moralis ?

Moralis dispose d'une API NFT que vous pouvez utiliser, et ils fournissent même un exemple de code pour ce cas d'utilisation :

* [Obtenir les métadonnées d'un NFT](https://docs.moralis.io/web3-data-api/evm/reference/get-nft-metadata?address=0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB\&token_id=1\&chain=eth\&format=decimal\&normalizeMetadata=true\&media_items=false)

Pour adapter leur exemple de code, remplacez la référence à Ethereum par leur ID pour Chiliz Chain, `0x15b38` :

```typescript
import Moralis from 'moralis';

try {
  await Moralis.start({
    apiKey: "YOUR_API_KEY"
  });

  const response = await Moralis.EvmApi.nft.getNFTMetadata({
    "chain": "0x15b38", // This is for Chiliz Chain Mainnet.
                        // For Spicy Testnet, use "0x15b32".
    "format": "decimal",
    "normalizeMetadata": true,
    "mediaItems": false,
    "address": "0xYourNFTContractAddress",
    "tokenId": "1"
  });

  console.log(response.raw);
} catch (e) {
  console.error(e);
}
```

## Comment le faire avec Tatum ?

Tatum dispose d'un sous-module NFT dans son outil d'abstraction blockchain que vous pouvez utiliser, et ils fournissent même un exemple de code pour ce cas d'utilisation :

* [Obtenir les métadonnées d'un NFT spécifique](https://docs.tatum.io/docs/get-the-metadata-of-a-specific-nft)

Pour adapter leur exemple de code, remplacez la référence à Ethereum par Chiliz Chain :

```typescript
import {TatumSDK, Network, Chiliz, ResponseDto, NftTokenDetail} from '@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const metadata: ResponseDto<NftTokenDetail|null> = await tatum.nft.getNftMetadata({
  tokenAddress: '0xYourNFTContractAddress', // replace with your collection
  tokenId: '1'
})

console.log(metadata.data)
```

## Comment le faire avec thirdweb ?

thirdweb — nous pouvons nous inspirer du code source hébergé sur leur site de documentation :

* [ThirdwebNftMedia](https://portal.thirdweb.com/react/v4/components/ThirdwebNftMedia#usage)

Voici comment nous pourrions adapter cela en code pour récupérer les métadonnées :

```typescript
const { ThirdwebSDK } = require("@thirdweb-dev/sdk");

const sdk = new ThirdwebSDK("https://rpc.ankr.com/chiliz");
const nftContractAddress = "0xYourNFTContractAddress";
const tokenId = "YourTokenID";

async function getNFTMetadata() {
  try {
    const nftContract = await sdk.getNFTCollection(nftContractAddress);
    const nftMetadata = await nftContract.get(tokenId);
    console.log(`Metadata of NFT ${tokenId}:`, nftMetadata);
  } catch (error) {
    console.error("Error fetching NFT metadata:", error);
  }
}

getNFTMetadata();
```

## Comment le faire avec Nodit ?

Nodit fournit l'exemple de code suivant [dans leur documentation](https://developer.nodit.io/reference/chiliz-getnftmetadatabytokenids) :

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/nft/getNftMetadataByTokenIds';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({
    tokens: [
      {contractAddress: '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D', tokenId: '1'},
      {contractAddress: '0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D', tokenId: '2'}
    ]
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/fr/developper/notions-de-base/guides-pratiques/comment-obtenir-les-metadonnees-dun-nft-specifique.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
